import { IconProps } from "@guildion/ui";
import { compare } from "@/shared/modules/ObjectCompare";
import React from "react";
import Svg, { Path } from "react-native-svg";

const SpeakerIcon: React.FC<IconProps> = ({ width, height, color }) => {
    return (
        <Svg
            x="0px"
            y="0px"
            viewBox="0 0 404.9 404.9"
            width={width}
            height={height}
        >
            <Path fill={color} d="M0,160.3v85.6c0,17.8,10.6,32.2,23.8,32.2H68v-150H23.8C10.7,128.1,0,142.6,0,160.3z"/>
            <Path fill={color} d="M245.4,45c-4.2-2.3-9.3-2.5-13.7-0.5L79.5,115v174.9l152.2,70.5c6.8,3.2,15.3,0.7,18.8-5.6
                c1-1.7,1.5-3.7,1.5-5.7V55.9C252,51.3,249.5,47.1,245.4,45z"/>
            <Path fill={color} d="M303,126.6c-3.2-4.1-9.1-4.9-13.2-1.8c0,0,0,0-0.1,0.1c-0.3,0.3-0.7,0.6-1,0.9c-4.2,4.3-4.5,11.1-0.7,15.8
                c14.1,17.4,21.2,39.4,21.2,61.4s-7,44.1-21.2,61.4c-3.7,4.7-3.4,11.4,0.7,15.8c3.7,3.7,9.7,3.8,13.4,0.1c0.3-0.3,0.6-0.7,0.9-1
                c17.6-21.6,26.4-49.1,26.4-76.5S320.6,148.2,303,126.6z"/>
            <Path fill={color} d="M351,70.4c-4.1-4.9-11.2-5.7-16.3-2c-0.4,0.3-0.8,0.6-1.2,1c-5.1,5-5.5,13.1-0.9,18.5
                c27.8,32.6,41.7,73.8,41.7,115.1s-13.9,82.6-41.7,115.2c-4.6,5.4-4.2,13.5,0.9,18.5c4.5,4.4,11.7,4.5,16.4,0.2
                c0.4-0.4,0.8-0.8,1.1-1.2c32.1-37.5,48.1-85.1,48.1-132.6S383.1,108.1,351,70.4z"/>
        </Svg>
    );
};

export default React.memo(SpeakerIcon, compare);
